/*
 * This file is part of the Scandit Data Capture SDK
 *
 * Copyright (C) 2023- Scandit AG. All rights reserved.
 */

#import <Foundation/Foundation.h>
#import <ScanditCaptureCore/SDCBase.h>

typedef NS_CLOSED_ENUM(NSUInteger, SDCBatterySavingMode) {
    SDCBatterySavingModeAuto = 0,
    SDCBatterySavingModeOff = 1,
    SDCBatterySavingModeOn = 2,
} NS_SWIFT_NAME(BatterySavingMode);

SDC_EXTERN NSString *_Nonnull NSStringFromBatterySavingMode(SDCBatterySavingMode mode)
    NS_SWIFT_NAME(getter:SDCBatterySavingMode.jsonString(self:));
SDC_EXTERN BOOL SDCBatterySavingModeFromJSONString(NSString *_Nonnull JSONString,
                                                   SDCBatterySavingMode *_Nonnull mode)
    DEPRECATED_MSG_ATTRIBUTE("This function will be removed in the future");
